Subject: Hot summer offer

From: " Smime-archive" <[email-masked] >
Date: Wed, 18 Jul 2007 15:25:13 +0300

Don’t miss the chance to get yourself a qualitative replica timepiece for less!
Plus, you won’t have to spend much – our prices are truly laughable!
Huge choice of desirable chronometers always in stock – only at our shop!
http://proroma.com